- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptimizationOption Class Reference

the OptimizationOption class. More...

`#include <OSOption.h>`

Collaboration diagram for OptimizationOption:

[legend]
List of all members.

## Public Member Functions
| OptimizationOption ()
| Default constructor.
| ~OptimizationOption ()
| Class destructor.
bool | IsEqual (OptimizationOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | numberOfVariables
| the number of variables
int | numberOfObjectives
| the number of objectives
int | numberOfConstraints
| the number of constraints
VariableOption * | variables
| the options for the variables
ObjectiveOption * | objectives
| the options for the objectives
ConstraintOption * | constraints
| the options for the constraints
SolverOptions * | solverOptions
| other solver options

## Detailed Description

the OptimizationOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2951 of file OSOption.h.

## Constructor & Destructor Documentation

OptimizationOption::OptimizationOption | ( |  | ) |

Default constructor.

Definition at line 1181 of file OSOption.cpp.

References constraints, objectives, solverOptions, and variables.

OptimizationOption::~OptimizationOption | ( |  | ) |

Class destructor.

Definition at line 1195 of file OSOption.cpp.

References constraints, objectives, solverOptions, and variables.

## Member Function Documentation

bool OptimizationOption::IsEqual | ( | OptimizationOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8293 of file OSOption.cpp.

References constraints, numberOfConstraints, numberOfObjectives, numberOfVariables, objectives, solverOptions, and variables.

bool OptimizationOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10425 of file OSOption.cpp.

References constraints, numberOfConstraints, numberOfObjectives, numberOfVariables, objectives, OSRand(), SolverOptions::setRandom(), ConstraintOption::setRandom(), ObjectiveOption::setRandom(), VariableOption::setRandom(), solverOptions, and variables.

Referenced by OSOption::setRandom().

## Member Data Documentation

int OptimizationOption::numberOfVariables

the number of variables

Definition at line 2955 of file OSOption.h.

Referenced by OSOption::getNumberOfVariables(), IsEqual(), OSOption::setNumberOfVariables(), and setRandom().

int OptimizationOption::numberOfObjectives

the number of objectives

Definition at line 2958 of file OSOption.h.

Referenced by OSOption::getNumberOfObjectives(), IsEqual(), OSOption::setNumberOfObjectives(), and setRandom().

int OptimizationOption::numberOfConstraints

the number of constraints

Definition at line 2961 of file OSOption.h.

Referenced by OSOption::getNumberOfConstraints(), IsEqual(), OSOption::setNumberOfConstraints(), and setRandom().

VariableOption* OptimizationOption::variables

the options for the variables

Definition at line 2964 of file OSOption.h.

Referenced by OSOption::getAllOtherVariableOptions(), OSOption::getInitialBasisElements(), OSOption::getInitVarValuesSparse(), OSOption::getInitVarValuesStringSparse(), OSOption::getIntegerVariableBranchingWeightsSparse(), OSOption::getNumberOfInitialBasisElements(), OSOption::getNumberOfInitVarValues(), OSOption::getNumberOfInitVarValuesString(), OSOption::getNumberOfIntegerVariableBranchingWeights(), OSOption::getNumberOfOtherVariableOptions(), OSOption::getNumberOfSOS(), OSOption::getNumberOfSOSVarBranchingWeights(), OSOption::getSOSVariableBranchingWeightsSparse(), OSOption::getVariableInitialBasisStatusDense(), IsEqual(), OptimizationOption(), OSOption::setAnotherInitBasisStatus(), OSOption::setAnotherInitVarValue(), OSOption::setAnotherInitVarValueString(), OSOption::setAnotherIntegerVariableBranchingWeight(), OSOption::setAnotherSOSVariableBranchingWeight(), OSOption::setAnOtherVariableOption(), OSOption::setInitBasisStatus(), OSOption::setInitVarValues(), OSOption::setInitVarValuesDense(), OSOption::setInitVarValuesSparse(), OSOption::setInitVarValuesString(), OSOption::setInitVarValuesStringDense(), OSOption::setInitVarValuesStringSparse(), OSOption::setIntegerVariableBranchingWeights(), OSOption::setIntegerVariableBranchingWeightsDense(), OSOption::setIntegerVariableBranchingWeightsSparse(), OSOption::setNumberOfOtherVariableOptions(), OSOption::setOtherOptionEnumeration(), OSOption::setOtherVariableOptionAttributes(), OSOption::setOtherVariableOptions(), OSOption::setOtherVariableOptionVar(), setRandom(), OSOption::setSOSVariableBranchingWeights(), and ~OptimizationOption().

ObjectiveOption* OptimizationOption::objectives

the options for the objectives

Definition at line 2967 of file OSOption.h.

Referenced by OSOption::getAllOtherObjectiveOptions(), OSOption::getInitialBasisElements(), OSOption::getInitObjBoundsSparse(), OSOption::getInitObjValuesSparse(), OSOption::getNumberOfInitialBasisElements(), OSOption::getNumberOfInitObjBounds(), OSOption::getNumberOfInitObjValues(), OSOption::getNumberOfOtherObjectiveOptions(), IsEqual(), OptimizationOption(), OSOption::setAnotherInitBasisStatus(), OSOption::setAnotherInitObjBound(), OSOption::setAnotherInitObjValue(), OSOption::setAnOtherObjectiveOption(), OSOption::setInitBasisStatus(), OSOption::setInitObjBounds(), OSOption::setInitObjBoundsDense(), OSOption::setInitObjBoundsSparse(), OSOption::setInitObjValues(), OSOption::setInitObjValuesDense(), OSOption::setInitObjValuesSparse(), OSOption::setNumberOfOtherObjectiveOptions(), OSOption::setOtherObjectiveOptionAttributes(), OSOption::setOtherObjectiveOptionObj(), OSOption::setOtherObjectiveOptions(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~OptimizationOption().

ConstraintOption* OptimizationOption::constraints

the options for the constraints

Definition at line 2970 of file OSOption.h.

Referenced by OSOption::getAllOtherConstraintOptions(), OSOption::getInitConValuesSparse(), OSOption::getInitDualVarValuesSparse(), OSOption::getInitialBasisElements(), OSOption::getNumberOfInitConValues(), OSOption::getNumberOfInitDualVarValues(), OSOption::getNumberOfInitialBasisElements(), OSOption::getNumberOfOtherConstraintOptions(), OSOption::getSlackVariableInitialBasisStatusDense(), IsEqual(), OptimizationOption(), OSOption::setAnOtherConstraintOption(), OSOption::setAnotherInitBasisStatus(), OSOption::setAnotherInitConValue(), OSOption::setAnotherInitDualVarValue(), OSOption::setInitBasisStatus(), OSOption::setInitConValues(), OSOption::setInitConValuesDense(), OSOption::setInitConValuesSparse(), OSOption::setInitDualValues(), OSOption::setInitDualVarValuesDense(), OSOption::setInitDualVarValuesSparse(), OSOption::setNumberOfOtherConstraintOptions(), OSOption::setOtherConstraintOptionAttributes(), OSOption::setOtherConstraintOptionCon(), OSOption::setOtherConstraintOptions(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~OptimizationOption().

SolverOptions* OptimizationOption::solverOptions

other solver options

Definition at line 2973 of file OSOption.h.

Referenced by OSOption::getAllSolverOptions(), OSOption::getNumberOfSolverOptions(), IsEqual(), OptimizationOption(), OSOption::setAnotherSolverOption(), OSOption::setNumberOfSolverOptions(), setRandom(), OSOption::setSolverOptionContent(), OSOption::setSolverOptions(), and ~OptimizationOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp